import React, { useContext } from 'react';
import { useLocation, matchPath } from 'react-router-dom';
import { GamesContext } from '../../context/games';

import { Color, Player, Board } from '../../components/Checkers';
import './GameBoard.css';

export default function GameBoard() {
  const games = useContext(GamesContext);
  const {pathname} = useLocation();

  let opponentName = '';
  let opponentColor = Color.white; // defaut color

  if (matchPath('/games/new', pathname)) {
    opponentName = games.newGame.opponentName;
    opponentColor = games.newGame.opponentColor;
  }

  // if (matchPath('/games/proposal', pathname)) {
  //   const selectedGame = games.findGame({ uuid: games.proposal.selectedUUID });

  //   const opponentColor = selectedGame

  //   whiteName = selectedGame.newGame.whitePlayer;
  //   blackName = games.newGame.blackPlayer;
  // }

  const myColor = Color.opposite(opponentColor);

  return (
    <div className='GameBoard'>
      <Player color={opponentColor} name={opponentName} />
      <Board />
      <Player color={myColor} name='MyName' />
    </div>
  )
}